com.impinj.octane

## Class AntennaConfigGroup

- java.lang.Object
- - com.impinj.octane.AntennaConfigGroup

- All Implemented Interfaces:
    java.lang.Iterable<AntennaConfig>

      public class AntennaConfigGroup
      extends java.lang.Object
      implements java.lang.Iterable<AntennaConfig>

  This class hold the collection of antenna configuration.
  See Also:
    `Settings.getAntennas()`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(java.lang.Object config)`
    `void` | `disableAll()` Disable all antennas in the collection.
    `void` | `disableById(java.util.List<? extends java.lang.Number> ids)` Disable antennas by providing a list of antenna IDs.
    `void` | `disableById(short[] ids)` Disable antennas by providing a list of antenna IDs.
    `void` | `disableByRing(short[] rings)` Deprecated.
    `void` | `disableBySector(short[] sectors)` Deprecated.
    `void` | `disablePolarizedAntennas()` Disable polarized antennas 1001-1052, 2001-2052
    `void` | `enableAll()` Enable all antennas in the collection.
    `void` | `enableById(java.util.List<? extends java.lang.Number> ids)` Enable antennas by providing a list of antenna IDs.
    `void` | `enableById(short[] ids)` Enable antennas by providing a list of antenna IDs.
    `void` | `enableByRing(short[] rings)` Deprecated.
    `void` | `enableBySector(short[] sectors)` Deprecated.
    `void` | `enablePolarizedAntennas()` Enable polarized antennas 1001-1052, 2001-2052
    `AntennaConfig` | `getAntenna(java.lang.Number portNumber)` Returns the antenna configuration for the specified antenna port.
    `java.util.ArrayList<AntennaConfig>` | `getAntennaConfigs()`
    `java.lang.Boolean` | `getIsMaxRxSensitivity()`
    `java.lang.Boolean` | `getIsMaxTxPower()`
    `boolean` | `getPolarizationEnabled()`
    `double` | `getRxSensitivityinDbm()`
    `double` | `getTxPowerinDbm()`
    `java.util.Iterator<AntennaConfig>` | `iterator()` provides an interator to traverse the list of antenna configurations
    `void` | `setAntennaConfigs(java.util.ArrayList<AntennaConfig> antennaConfigs)`
    `void` | `setIsMaxRxSensitivity(java.lang.Boolean maxRxSensitivity)`
    `void` | `setIsMaxTxPower(java.lang.Boolean maxTxPower)`
    `void` | `setRxSensitivityinDbm(double rxSensitivityinDbm)`
    `void` | `setTxPowerinDbm(double txPowerinDbm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### iterator

          public java.util.Iterator<AntennaConfig> iterator()

      provides an interator to traverse the list of antenna configurations
      Specified by:
        `iterator` in interface `java.lang.Iterable<AntennaConfig>`
      Returns:
        an interator to a list of antenna configurations

    - #### add

          protected void add(java.lang.Object config)
                      throws OctaneSdkException

      Throws:
        `OctaneSdkException`

    - #### getAntennaConfigs

          public java.util.ArrayList<AntennaConfig> getAntennaConfigs()

    - #### setAntennaConfigs

          public void setAntennaConfigs(java.util.ArrayList<AntennaConfig> antennaConfigs)

    - #### getRxSensitivityinDbm

          public double getRxSensitivityinDbm()

    - #### setRxSensitivityinDbm

          public void setRxSensitivityinDbm(double rxSensitivityinDbm)

    - #### getTxPowerinDbm

          public double getTxPowerinDbm()

    - #### setTxPowerinDbm

          public void setTxPowerinDbm(double txPowerinDbm)

    - #### getIsMaxRxSensitivity

          public java.lang.Boolean getIsMaxRxSensitivity()

    - #### setIsMaxRxSensitivity

          public void setIsMaxRxSensitivity(java.lang.Boolean maxRxSensitivity)

    - #### getIsMaxTxPower

          public java.lang.Boolean getIsMaxTxPower()

    - #### setIsMaxTxPower

          public void setIsMaxTxPower(java.lang.Boolean maxTxPower)

    - #### enableAll

          public void enableAll()

      Enable all antennas in the collection.

    - #### disableAll

          public void disableAll()

      Disable all antennas in the collection.

    - #### getAntenna

          public AntennaConfig getAntenna(java.lang.Number portNumber)
                                   throws OctaneSdkException

      Returns the antenna configuration for the specified antenna port.
      Parameters:
        `portNumber` - -- the antenna port desired
      Returns:
        the antenna configuration for the specified port
      Throws:
        `OctaneSdkException` - if the port does not exist.

    - #### enableById

          public void enableById(short[] ids)
                          throws OctaneSdkException

      Enable antennas by providing a list of antenna IDs. This method does not change the status of antennas outside the provided list.
      Parameters:
        `ids` - the list of antennas to enable
      Throws:
        `OctaneSdkException` - if the port does not exist

    - #### enableById

          public void enableById(java.util.List<? extends java.lang.Number> ids)
                          throws OctaneSdkException

      Enable antennas by providing a list of antenna IDs. This method does not change the status of antennas outside the provided list.
      Parameters:
        `ids` - the list of antennas to enable
      Throws:
        `OctaneSdkException` - if the port does not exist

    - #### disableById

          public void disableById(short[] ids)
                           throws OctaneSdkException

      Disable antennas by providing a list of antenna IDs. This method does not change the status of antennas outside the provided list.
      Parameters:
        `ids` - the list of antennas to disable
      Throws:
        `OctaneSdkException` - if the antenna port does not exist

    - #### disableById

          public void disableById(java.util.List<? extends java.lang.Number> ids)
                           throws OctaneSdkException

      Disable antennas by providing a list of antenna IDs. This method does not change the status of antennas outside the provided list.
      Parameters:
        `ids` - the list of antennas to disable
      Throws:
        `OctaneSdkException` - if the antenna port does not exist

    - #### enableBySector

          @Deprecated
          public void enableBySector(short[] sectors)
                                          throws OctaneSdkException

      Deprecated.
      Deprecated. Please use AntennaUtilities#GetAntennaIdsBySector to get the list of desired antennas to enable, then pass them to AntennaConfigGroup#enableById Enable antennas by providing a list of xArray sector numbers.
      Parameters:
        `sectors` - A list of xArray sectors to enable
      Throws:
        `OctaneSdkException` - if the antenna port does not exist

    - #### disableBySector

          @Deprecated
          public void disableBySector(short[] sectors)
                                           throws OctaneSdkException

      Deprecated.
      Deprecated. Please use AntennaUtilities#GetAntennaIdsBySector to get the list of desired antennas to enable, then pass them to AntennaConfigGroup#disableById Disable antennas by providing a list of xArray sector numbers.
      Parameters:
        `sectors` - A list of xArray sectors to disable
      Throws:
        `OctaneSdkException` - if the antenna port does not exist

    - #### enableByRing

          @Deprecated
          public void enableByRing(short[] rings)
                                        throws OctaneSdkException

      Deprecated.
      Deprecated. Please use AntennaUtilities#GetAntennaIdsByRing to get the list of desired antennas to enable, then pass them to AntennaConfigGroup#enableById Enable antennas by providing a list of xArray ring numbers.
      Parameters:
        `rings` - A list of xArray rings to enable.
      Throws:
        `OctaneSdkException` - if the antenna port does not exist

    - #### disableByRing

          @Deprecated
          public void disableByRing(short[] rings)
                                         throws OctaneSdkException

      Deprecated.
      Deprecated. Please use AntennaUtilities#GetAntennaIdsByRing to get the list of desired antennas to enable, then pass them to AntennaConfigGroup#disableById Disable antennas by providing a list of xArray ring numbers.
      Parameters:
        `rings` - A list of xArray rings to disable.
      Throws:
        `OctaneSdkException` - if the antenna port does not exist

    - #### enablePolarizedAntennas

          public void enablePolarizedAntennas()

      Enable polarized antennas 1001-1052, 2001-2052

    - #### disablePolarizedAntennas

          public void disablePolarizedAntennas()

      Disable polarized antennas 1001-1052, 2001-2052

    - #### getPolarizationEnabled

          public boolean getPolarizationEnabled()

      Returns:
        True if antenna polarization is enabled, false otherwise.